Running Sweeps

Spy Sweeper lets you do the following tasks related to running sweeps:

  • Set sweep options
  • Run sweeps
  • Schedule sweeps to run automatically
  • Handle quarantined items
  • Set up automatic handling of found items


Setting Sweep Options

You can set a variety of options that control how Spy Sweeper sweeps your computer looking for potentially unwanted programs, such as spyware, adware, and suspect programs. You should review the options before running a sweep to ensure that you are thoroughly protecting your computer from potentially unwanted programs.

Sweep options include three types of sweeps:

  • Full Sweep—Performs a thorough sweep of all internal drives and drives directly attached to your computer. For more information, see Setting Up a Full or Quick Sweep.
  • Quick Sweep—Performs a fast sweep of only locations where potentially unwanted programs are commonly found and maximizes use of your computer's processing power, to make the sweep as fast as possible. For more information, see Setting Up a Full or Quick Sweep.
  • Custom Sweep—Lets you select options to customize a sweep to meet your needs. For more information, see Setting Up a Custom Sweep.

You can also protect your Spy Sweeper options by setting up a password. For more information, see Protecting Settings with a Password.


Setting Up a Full or Quick Sweep

The sweep settings for full and quick sweeps are set automatically for you. You cannot change the settings. If you want to customize a sweep, see Setting Up a Custom Sweep.

Step Introduction icon To set up a full or quick sweep:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel opens.
  3. Click the Sweep tab.
    • The Sweep tab opens.
  4. Select the Sweep Type you want to use for your next sweep.

    5. Click to see a description of each option.

    Option
    Description
    Full Sweep
    Select this type to have Spy Sweeper do a thorough sweep for potentially unwanted programs of all internal drives and drives directly attached to your computer.
    A Full Sweep takes longer than a Quick Sweep, but it is more thorough. We recommend running a Full Sweep at least once a week.
    A Full Sweep uses the options you see with green check marks below. For information about each option, see Setting Up a Custom Sweep.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, Spy Sweeper sweeps all internal drives and automatically quarantines any viruses it finds.
    Quick Sweep
    Select this type to have Spy Sweeper do a fast sweep of only locations where potentially unwanted programs are commonly found and maximize use of your computer's processing power, to make the sweep as fast as possible.
    A Quick Sweep is faster, but less thorough than a Full Sweep.
    A Quick Sweep uses the options you see with green check marks below. For information about each option, see Setting Up a Custom Sweep.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, Spy Sweeper sweeps all internal drives and automatically quarantines any viruses it finds.

  5. If you want to run the sweep now, click Sweep Now.
    • If you want to schedule this sweep to run on a regular basis, click Schedule This Sweep. For more information about scheduling sweeps, see Scheduling Sweeps.


Setting Up a Custom Sweep

You can set up a custom sweep to use the sweep settings that you want. Spy Sweeper saves your custom sweep settings and uses them as the basis for any scheduled custom sweep that you set up. For more information, see Scheduling Sweeps.

Step Introduction icon To set up a custom sweep:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel opens.
  3. Click the Sweep tab.
    • The Sweep tab opens.
  4. From the Sweep Type list, select Custom Sweep.
  5. Click the Change Settings link.
    • The Custom Sweep window opens, with the Where to Sweep panel on the right side.
  6. Select where you want to sweep for potentially unwanted programs.
    • By default (automatically), all internal drives and drives attached to your computer are selected. This means Spy Sweeper will sweep all of the folders on each drive for potentially unwanted programs. If you do not want some folders or files included in the sweep, you can deselect them by clicking the check box next to each folder or file.
    • Typically, most potentially unwanted programs install on the C: drive, but you should sweep all drives periodically.

      • Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, you should sweep all drives regularly. Spy Sweeper with AntiVirus can sweep all internal drives for viruses. Viruses are found in all types of files and in any location.

  7. On the left side of the Custom Sweep window, click What to Sweep.
    • The What to Sweep panel opens.

      • Click to see a description of each option.

      Options
      Description
      Sweep for Viruses
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, select this option to tell Spy Sweeper to sweep your computer for viruses, as well as for potentially unwanted programs.
      Automatically Quarantine Viruses Found
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, select this option to have Spy Sweeper automatically quarantine files that contain viruses.
      With this option selected, any files found to contain viruses will not be listed on the Quarantine panel during the sweep process. Files will be automatically placed in the Quarantine.
      If Spy Sweeper with AntiVirus is able to clean the file (remove the virus safely), the cleaned file will remain in its original location and a copy of the file before cleaning will be placed in the Quarantine. The cleaned file is safe to use. The file in the Quarantine is not safe to use.
      Windows Registry
      Select this option to have Spy Sweeper sweep your computer's registry for potentially unwanted programs. Typically, you want to sweep the registry each time you run a sweep. Potentially unwanted programs commonly create entries in your computer's registry.
      Memory Objects
      Select this option to have Spy Sweeper sweep your computer's random access memory (RAM) for potentially unwanted programs. Typically, you want to sweep memory each time you run a sweep. Potentially unwanted programs commonly load into memory.
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps memory for viruses.
      Cookies
      Select this option to have Spy Sweeper include known tracking cookies (that are in the Spy Sweeper definitions) in the sweep. You can then decide if there are cookies you want to keep. You may want to keep cookies that contain user names and passwords that let you log in to a Web site automatically or that contain preferences you set for a Web site.
      You may want to remove tracking cookies. Some Web sites now issue tracking cookies, which allow multiple Web sites to store and access cookies that may contain personal information (including surfing habits, user names and passwords, and areas of interest), then share the information they contain with other Web sites.
      System Restore Folder
      (Applies only to Windows Me and XP. Not available for Vista operating systems.) Select this option to have Spy Sweeper sweep the folder where Windows stores System Restore files. If a restore point contains potentially unwanted programs, Spy Sweeper will find it and let you remove the potentially unwanted programs from the restore point. You will be able to use that restore point, if necessary, in the future, and you will not restore the potentially unwanted programs.
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps this folder for viruses.
      Sweep All User Accounts
      Select this option to have Spy Sweeper sweep all registry entries, even those related to another user account or login ID on your computer. Potentially unwanted programs commonly create entries in your registry. Using this option makes sure all registry entries are swept.
      If you deselect this option, Spy Sweeper only sweeps the user account you logged in with.
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps all user accounts for viruses.
      Compressed Files
      Select this option to have Spy Sweeper sweep compressed files such as .zip, .rar, .lzh, and .cab files. Potentially unwanted programs can hide themselves inside these types of files. You may want to use this option after you have found potentially unwanted programs, and you want to be sure that you have removed them.
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps compressed files for viruses.

      Note: Using this option may significantly increase the time required for a sweep the first time you use the option. After the first sweep with this option, Spy Sweeper will skip compressed files that have not changed, thereby saving time.

  8. On the left side of the Custom Sweep window, click Skip File Types.
    • The Skip File Types panel opens.
  9. If you have any types of files that you would like Spy Sweeper to skip during a sweep, enter the file extension and click Add to Skip List.

    10. Caution icon Caution: Do not skip .dll, .exe, or .com file types. Potentially unwanted programs commonly use these. Be very careful when determining file types to skip. Potentially unwanted programs can hide in any file type.

  10. On the left side of the Custom Sweep window, click Advanced Options.
    • The Advanced Options panel opens.

      • Click to see a description of each option.

      Option
      Description
      Enable Direct Disk Sweeping
      Normally, you should leave this option selected, as it makes sweeps run faster. Deselect this option only if you find that Spy Sweeper does not complete a sweep. Some computers need to turn off this method of sweeping for sweeps to run completely.
      Sweep for Rootkits
      Select this option to have Spy Sweeper include rootkits in its sweep. Rootkits are software tools that an attacker uses to maintain access to your computer for malicious purposes. Use this option if you are particularly concerned about your computer's security or continue to see unwanted advertising after running a full system sweep.

      Note: Using this option will cause the sweep to take about twice as long as a full system sweep without this option selected.

      Verify Programs Running in Protected Memory Space (also called Verify Executable Programs)
      Select this option to have Spy Sweeper isolate and examine suspect processes running in memory. The process isolation gives Spy Sweeper a better chance to see what the process does. If the process matches a Spy Sweeper definition, Spy Sweeper stops the process from running.
      Sweep Speed vs. Processor Usage

      If you want to use other programs on your computer while running a sweep, move the slider left toward "Conserve processing power."
      • Moving the slider to the left slows the sweep, but gives you more processing power for your other programs. For the fastest sweeps, leave the slider all the way on the right.
      • Drag the slider with your mouse to move it.

  11. Click OK.
    • This saves your Custom Sweep settings, so that you can use them anytime you select Custom Sweep as your Sweep Type here. Spy Sweeper also uses these settings as the basis of a sweep when you set up a scheduled Custom Sweep type. For more information about scheduling sweeps, see Scheduling Sweeps.
  12. If you want to run the sweep now, click Sweep Now.


Protecting Settings with a Password

You can protect your Spy Sweeper settings with a password. After you enable password protection, Spy Sweeper will require the password to access Options, Shields, Alerts, and Quarantine and to shut down Spy Sweeper.

Spy Sweeper "remembers" your password as long as you are actively using the program. After five minutes of inactivity or after you minimize the program, it will ask for the password again.

Be sure you remember or write down your password.

Step Introduction icon To protect settings with a password:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel opens.
  3. Click the Program tab.
    • The Program tab opens.
  4. Select the Enable Password Protection option.
    • The Enable Password Protection window opens.
  5. Enter the password you want to use in both text boxes.
    • Consider making the password difficult to guess by combining letters and numbers.
  6. Click OK.


Running a Sweep

You can run a sweep for potentially unwanted programs, such as spyware, adware, and suspect programs, on your computer at any time.

Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, you can sweep your computer for viruses, as well as potentially unwanted programs.

A sweep is a three-step process:

  1. Search Your Computer—Spy Sweeper searches your computer for potentially unwanted programs that are in the Spy Sweeper definitions.
  2. Quarantine Items Found—You select what to do with found items. Spy Sweeper puts suspect items it finds into the Quarantine where they cannot run or harm your computer. You can do three things with quarantined items:
    • Leave in Quarantine (Recommended)—The safest thing to do with found items. You can restore or delete them later.
    • Restore—You may need some found items to use legitimate programs. Restore an item only if you know you need it. We do not recommend restoring any file found to contain a virus.
    • Delete—Delete items only if you know you do not need them.
  3. Sweep Complete—Spy Sweeper summarizes the action it took for each found item.

You can view quarantined items after a sweep from within Spy Sweeper. For more information, see Handling Quarantined Items.

You can sweep entire disk drives from Spy Sweeper or sweep a single file or folder from Windows Explorer. To run a sweep from Windows Explorer, you must enable the option for this feature. For more information, see Setting Spy Sweeper Program Options.

You can also set up Spy Sweeper to run sweeps automatically. For more information, see Scheduling Sweeps.

Step Introduction icon To run a sweep:

  1. Close all programs that are open.
    • Spy Sweeper may not be able to remove potentially unwanted programs associated with a particular program if that program is open. For best results, close all programs that are listed in the taskbar at the bottom of your screen. You do not need to close programs shown in the system tray in the lower-right corner of your screen. These programs are only open in the background.
  2. Start the sweep.

    3. To sweep one or more disk drives
    To sweep a specific folder
    1. Start Spy Sweeper, if it is not already open, and display the main window.
      • For more information, see Starting Spy Sweeper.
    2. Click one of the following buttons:
      • Start Full Sweep
      • Start Quick Sweep
      • Start Custom Sweep
        • The button that opens depends on the Sweep Type selected on the Sweep tab of the Options panel. For more information, see Setting Sweep Options.
        • Click the arrow on the button to select a different Sweep Type.
      • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
      • The Sweeping panel opens.
    1. Start Spy Sweeper if it is not already open.
      • You do not need to display the Spy Sweeper window. It just needs to be open in the system tray. For more information, see Starting Spy Sweeper.
    2. From Windows Explorer, right-click the file, folder, or drive you want to sweep.
    3. From the pop-up menu, select Sweep with Spy Sweeper.
      • The Sweeping panel opens.

    • Spy Sweeper runs the sweep based on the options you selected. For more information about setting options, see Setting Sweep Options.
    • To pause the sweep, click Pause Sweep. An Information window opens, letting you know that the sweep is paused. When you want to resume the sweep where it left off, click OK.
    • To stop the sweep, click Cancel Sweep.
    • The number of items found, progress bar, current sweep location, and a list of items found display on the left side of the panel. The following fields display on the right side of the panel.

      • Click to see a description of each field.

      Field
      Description
      Search For
      Total Definitions
      Displays the number of potentially unwanted programs that Spy Sweeper is looking for, based on the current Spy Sweeper definitions. You should update your Spy Sweeper definitions regularly to ensure that you are using the most current version. For more information, see Updating the Spy Sweeper Definitions and Program.
      Items Inspected
      Memory
      Displays the number of pieces of programs that Spy Sweeper swept in your computer's memory. Some of these pieces may be part of a potentially unwanted program.
      Registry
      Displays the number of items in the Windows registry that Spy Sweeper swept. Some registry entries may be associated with potentially unwanted programs.
      Cookies
      Displays the number of cookies that Spy Sweeper swept. Some cookies contain personal information (including surfing habits, user names and passwords, and areas of interest).
      Files/Folders
      Displays the number of files and folders on the selected drives that Spy Sweeper swept.
      Found
      Items
      Displays the number of definitions matched during the sweep.
      Traces
      Displays the number of traces of potentially unwanted programs that Spy Sweeper found. Traces are places where Spy Sweeper finds potentially unwanted programs.

    • If Spy Sweeper did not find any potentially unwanted programs, you are finished and can click Back to Home to return to the Home panel.
    • If Spy Sweeper found potentially unwanted programs, the Quarantine panel opens with a list of the found items.

      • Click to see a description of each field.

      Field
      Description
      List of items found
      Displays the list of suspect items that Spy Sweeper found. Select an item in the list to view the Item Details on the right side of the panel. Leave the check box next to each item selected to leave the item in the Quarantine.
      Items you have already set to Always Ignore or Always Quarantine are not listed here. Spy Sweeper automatically handled those items based on your settings. To set an item to Always Ignore or Always Quarantine now, right-click the item and select the option you want. For more information, see Handling Found Items Automatically.
      Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and you turned on the Automatically Quarantine Viruses Found option, any files found to contain viruses are not listed here. The files are automatically placed in the Quarantine.
      Click the [image] next to an item to see the full path to the traces found.
      Item Details
      Name
      Displays the name of the currently selected item.
      Category
      Displays the type of the currently selected item. See the Glossary for definitions of the types.
      Risk Rating
      Red bars show the risk level of the selected item. The more bars shown, the higher the risk, as follows:
      • —Low
      • —Moderate
      • —High
      • —Very high
      • —Critical
      Traces Found
      Number of traces found related to this item.
      Description
      Displays a description of the item. For more information, click View More Details Online.

      Note: You must be connected to the Internet to see the additional information.

  3. Deselect any item that you want to keep.
    • By default (automatically), Spy Sweeper selects all of the listed items, except those listed as rootkits. Spy Sweeper will put all selected items in the Quarantine. You can permanently delete items from Quarantine by manually deleting them. For more information, see Deleting Quarantined Items Permanently and Setting Spy Sweeper Program Options.
    • You can restore items from Quarantine if you find that a program you need will not work properly after quarantining a found item. For more information, see Restoring Quarantined Items.
  4. Select any items listed as rootkits that you want to quarantine.
    • If you are uncertain whether the items listed as rootkits should be quarantined, contact technical support for assistance. For more information, see Technical Support.
  5. Click Quarantine Selected to quarantine all selected items.
    • The quarantine process copies the item to the Quarantine. Spy Sweeper first encrypts each trace, removes it from its original location (so it will no longer run), then copies it.

      • Spy Sweeper with AntiVirus icon During the quarantine process, if Spy Sweeper with AntiVirus is able to clean the file (remove the virus safely), the cleaned file will remain in its original location. A copy of the file before cleaning is placed in the Quarantine. The cleaned file is safe to use. The file in the Quarantine is not safe to use.

    • The quarantine process can take several minutes or longer depending on how many traces Spy Sweeper found and on the speed of your computer. A progress bar shows the progress of the quarantine process and tells you when the process is complete.
    • If a found item requires an additional tool to complete the removal process, the Additional Tools Required panel opens. For more information, see Using Additional Tools.
    • The Summary panel opens with a summary of the sweep and quarantine processes. The Action Taken column shows what action Spy Sweeper took for each found item.

      • Click to see a description of each field.

      Action Taken
      Description
      Quarantined
      Spy Sweeper moved all traces of the item to the Quarantine. For more information, see Handling Quarantined Items.
      Ignored
      Spy Sweeper did nothing to the found item, because you deselected it in the previous panel.
      Always Quarantine
      Spy Sweeper automatically quarantined the item, because you have it set to Always Quarantine. For more information, see Handling Found Items Automatically.
      Always Ignore
      Spy Sweeper automatically did nothing to the item, because you have it set to Always Ignore. For more information, see Handling Found Items Automatically.
      Partially Quarantined
      Spy Sweeper quarantined some traces of the item, but not all, because you deselected some traces in the previous panel.

    • To view the detailed sweep session log, click the View Session Log link. To view the detailed log later, click the Options icon, then the Sweep tab, then click the View Session Log link.
  6. Click Back to Home.
    • The Home panel opens. If you are using the trial version or if your subscription is within 30 days of expiring, a panel reminding you to purchase or renew opens.


Using Additional Tools

Some found items require that you download and use an additional tool to completely remove them. After you run a sweep, if the Additional Tools Required panel opens, you must use an additional tool to ensure that you completely remove an item that Spy Sweeper found.

Note icon Note: You must connect to the Internet to use an additional tool.

Step Introduction icon To use additional tools:

  1. From the Additional Tools Required panel, click the Download link to download the tool to your computer.
    • Spy Sweeper opens your Web browser and takes you to the Webroot Web site.
  2. Follow the instructions on the Web site to download the file that contains the tool.
    • Be sure you remember where you download the file on your computer.
  3. Follow the instructions on the Web page to install and use the tool.
  4. From the Additional Tools Required panel, click Finish.
    • The Home panel opens.


Scheduling Sweeps

You can set up Spy Sweeper to run sweeps automatically based on a schedule that you set. You can set up the schedule in any way that works for you. Here are examples of what you can do (assuming that you have Spy Sweeper set to load at startup):

  • Set Spy Sweeper to run a once a month on the first of the month.
  • Set Spy Sweeper to run a sweep every day at 3 a.m. This works well if your computer is on all night, and you are not working at 3 a.m.
  • Set Spy Sweeper to run on a specific day at a specific time, say Monday at 2 p.m., when you have a weekly staff meeting.

Your scheduled sweeps will run as long as you are logged in to the user account from which you created the scheduled sweep. Spy Sweeper does not need to be open in the system tray (lower-right corner of your screen) for the scheduled sweeps to run.

If you have multiple people using your computer and each person has a user account, each user can schedule sweeps. You can only see the scheduled sweeps set up from the user account you are currently logged in with. You must be logged in to an account for the scheduled sweep to run, but Spy Sweeper does not need to be open in the system tray.

Step Introduction icon To schedule sweeps:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel opens.
  3. Click the Schedule tab.
    • The Schedule tab opens.
  4. Click Add a Scheduled Sweep.
    • The Schedule Wizard window opens.
  5. Select the type of sweep you want and click Next.

    6. Click to see a description of each option.

    Option
    Description
    Full Sweep
    Select this type to have Spy Sweeper do a thorough sweep for potentially unwanted programs of all internal drives and drives directly attached to your computer.
    A Full Sweep takes longer than a Quick Sweep, but it is more thorough. We recommend running a Full Sweep at least once a week.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, it sweeps all internal hard drives and automatically quarantines any viruses it finds.
    If you select this type of sweep, skip to step 11.
    Quick Sweep
    Select this type to have Spy Sweeper do a fast sweep of only locations where potentially unwanted programs are commonly found and maximize use of your computer's processing power, to make the sweep as fast as possible.
    A Quick Sweep is faster, but less thorough than a Full Sweep.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, it sweeps all internal hard drives and automatically quarantines any viruses it finds.
    If you select this type of sweep, skip to step 11.
    Custom Sweep
    Select this option to set custom sweep settings. You can set up multiple scheduled, custom sweeps, each with different sweep settings.

  6. Select where you want to sweep and click Next.
    • By default (automatically), all internal drives and drives attached to your computer are selected. This means Spy Sweeper will sweep all of the folders on each drive for potentially unwanted programs. If you do not want some folders or files included in the sweep, you can deselect them by clicking the check box next to each folder or file.
    • Typically, most potentially unwanted programs install on the C: drive, but you should sweep all drives periodically.

      • Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, you should sweep all drives regularly. Spy Sweeper with AntiVirus can sweep all internal drives for viruses. Viruses are found in all types of files and in any location.

  7. Select what you want to sweep and click Next.

    8. Click to see a description of each field.

    Options
    Description
    Sweep for Viruses
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, select this option to tell Spy Sweeper with AntiVirus to sweep your computer for viruses, as well as for potentially unwanted programs.
    Automatically Quarantine Viruses Found
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, select this option to have Spy Sweeper with AntiVirus automatically quarantine files that contain viruses.
    With this option selected, any files found to contain viruses will not be listed on the Quarantine panel during the sweep process. Files will be automatically placed in the Quarantine.
    If Spy Sweeper with AntiVirus is able to clean the file (remove the virus safely), the cleaned file will remain in its original location and a copy of the file before cleaning will be placed in the Quarantine. The cleaned file is safe to use. The file in the Quarantine is not safe to use.
    Windows Registry
    Select this option to have Spy Sweeper sweep your computer's registry for potentially unwanted programs. Typically, you want to sweep the registry each time you run a sweep. Potentially unwanted programs commonly create entries in your computer's registry.
    Memory Objects
    Select this option to have Spy Sweeper sweep your computer's random access memory (RAM) for potentially unwanted programs. Typically, you want to sweep memory each time you run a sweep. Potentially unwanted programs commonly load into memory.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps memory for viruses.
    Cookies
    Select this option to have Spy Sweeper include known tracking cookies (that are in the Spy Sweeper definitions) in the sweep. You can then decide if there are cookies you want to keep. You may want to keep cookies that contain user names and passwords that let you log in to a Web site automatically or that contain preferences you set for a Web site.
    You may want to remove tracking cookies. Some Web sites now issue tracking cookies, which allow multiple Web sites to store and access cookies that may contain personal information (including surfing habits, user names and passwords, and areas of interest), then share the information they contain with other Web sites.
    System Restore Folder
    (Applies only to Windows Me and XP. Not available for Vista operating systems.) Select this option to have Spy Sweeper sweep the folder where Windows stores System Restore files. If a restore point contains potentially unwanted programs, Spy Sweeper will find it and let you remove the potentially unwanted programs from the restore point. You will be able to use that restore point, if necessary, in the future, and you will not restore the potentially unwanted programs.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps this folder for viruses.
    Sweep All User Accounts
    Select this option to have Spy Sweeper sweep all registry entries, even those related to another user account or login ID on your computer. Potentially unwanted programs commonly create entries in your registry. Using this option makes sure all registry entries are swept.
    If you deselect this option, Spy Sweeper only sweeps the user account you logged in with.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps all user accounts for viruses.
    Compressed Files
    Select this option to have Spy Sweeper sweep compressed files such as .zip, .rar, .lzh, and .cab files. Potentially unwanted programs can hide themselves inside these types of files. You may want to use this option after you have found potentially unwanted programs, and you want to be sure that you have removed them.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also sweeps compressed files for viruses.

    Note: Using this option may significantly increase the time required for a sweep the first time you use the option. After the first sweep with this option, Spy Sweeper will skip compressed files that have not changed, thereby saving time.

  8. If you have any types of files that you would like Spy Sweeper to skip during a sweep, enter the file extension and click Add to Skip List.

    9. Caution icon Caution: Do not skip .dll, .exe, or .com file types. Potentially unwanted programs commonly use these. Be very careful when determining file types to skip. Potentially unwanted programs can hide in any file type.

  9. Click Next.
  10. Select the Advanced Options you want and click Next.

    11. Click to see a description of each field.

    Enable Direct Disk Sweeping
    Normally, you should leave this option selected, as it makes sweeps run faster. Deselect this option only if you find that Spy Sweeper does not complete a sweep. Some computers need to turn off this method of sweeping for sweeps to run completely.
    Sweep for Rootkits
    Select this option to have Spy Sweeper include rootkits in its sweep. Rootkits are software tools that an attacker uses to maintain access to your computer for malicious purposes. Use this option if you are particularly concerned about your computer's security or continue to see unwanted advertising after running a full system sweep.

    Note: Using this option will cause the sweep to take about twice as long as a full system sweep without this option selected.

    Verify Programs Running in Protected Memory Space
    Select this option to have Spy Sweeper isolate and examine suspect processes running in memory. The process isolation gives Spy Sweeper a better chance to see what the process does. If the process matches a Spy Sweeper definition, Spy Sweeper stops the process from running.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus and have selected the Sweep for Viruses option, Spy Sweeper with AntiVirus also isolates processes and looks for viruses.
    Sweep Speed vs. Processor Usage

    If you want to use other programs on your computer while running a sweep, move the slider left toward "Conserve processing power."
    • Moving the slider to the left slows the sweep, but gives you more processing power for your other programs. For the fastest sweeps, leave the slider all the way on the right.
    • Drag the slider with your mouse to move it.

  11. Select how often and when you want to sweep for potentially unwanted programs and click Next.
  12. If you want to change your selections, click Back until you see the options you want to change.
  13. Click Finish.
    • As long as you are logged in to the user account from which you created the scheduled sweep, Spy Sweeper will run sweeps based on your schedule.
    • To change a scheduled sweep, select it and click Change Selected.
    • To delete a scheduled sweep, select it and click Delete Selected.
    • To run one of the scheduled sweeps now, select the sweep from the list and click Run Selected.


Handling Quarantined Items

When you run a sweep and tell Spy Sweeper to quarantine found items, Spy Sweeper does not permanently delete the item. It encrypts the item, copies it to the Quarantine, and removes it from its original location.

Spy Sweeper with AntiVirus icon During the quarantine process, if Spy Sweeper with AntiVirus is able to clean the file (remove the virus safely), the cleaned file will remain in its original location. A copy of the file before cleaning is placed in the Quarantine. The cleaned file is safe to use. The file in the Quarantine is not safe to use.

This ensures that the item can no longer run, but gives you the following options for handling the quarantined items:

  • Delete the item permanently
  • Restore the item

Spy Sweeper asks you to delete some items from Quarantine when the Quarantine reaches certain size limits or when your computer's hard drive is low on space. These alerts display as a pop-up from the system tray (lower-right corner of your screen), in the Alerts panel, or as a Spy Sweeper message window.

If you see the Spy Sweeper message window, the alert is critical and space on your hard drive is very low. You should take action to make more space available. The alert message gives you three options:

  • Delete Old Items—Click to delete all items in the Quarantine that are more than seven days old. If deleting these items does not make enough space available, Spy Sweeper displays another message recommending that you go to the Quarantine and delete more items. For more information, see Deleting Quarantined Items Permanently.
  • Manage Quarantine—Click to open Spy Sweeper to the Quarantine panel, where you can selectively delete items from Quarantine. For more information, see Deleting Quarantined Items Permanently. You should delete some items to make more space available on your hard drive.
  • Remind Me Later—Click to have Spy Sweeper remind you tomorrow. If you take this action, you may want to delete other files to make more hard drive space available.


Deleting Quarantined Items Permanently

When you run a sweep and quarantine found items, Spy Sweeper does not permanently delete the found item. The quarantine process first encrypts each item, removes it from its original location (so it will no longer run), then copies it to the Quarantine.

If you find that a program you need will not work properly after quarantining a found item, you can restore it. For more information, see Restoring Quarantined Items.

If you find that all of your programs run properly after removing the found item, you can permanently delete it. This deletes the found item from the Quarantine, and you will not be able to restore the item.

If you reinstall the program or visit a Web site that has the same potentially unwanted program, it could be installed again. If you find that some items keep showing up in your sweeps, you can tell Spy Sweeper to always quarantine that item automatically. For more information, see Handling Found Items Automatically.

If the Delete Selected Items button is unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Spy Sweeper with AntiVirus icon During the quarantine process, if Spy Sweeper with AntiVirus is able to clean the file (remove the virus safely), the cleaned file will remain in its original location. A copy of the file before cleaning is placed in the Quarantine. The cleaned file is safe to use. The file in the Quarantine is not safe to use.

Step Introduction icon To permanently delete quarantined items:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Quarantine.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Quarantine panel opens with information about items that you have quarantined, but have not permanently deleted.

      • Click to see a description of each field.

      Field
      Description
      List of items found (left side)
      Displays the list of suspect items that Spy Sweeper found. Select an item in the list to view the Item Details on the right side of the panel.
      Items you have set to Always Ignore or Always Quarantine are also listed here. Spy Sweeper automatically handled those items based on your setting. For more information, see Handling Found Items Automatically.
      Click the [image] next to an item to see the full path to the traces found.
      Item Details (right side)
      Name
      Displays the name of the currently selected item.
      Category
      Displays the type of potentially unwanted program of the currently selected item. See the Glossary for definitions of the types.
      Risk Rating
      Red bars show the risk level of the item. The more bars shown, the higher the risk, as follows:
      • —Low
      • —Moderate
      • —High
      • —Very high
      • —Critical
      Traces Found
      Number of traces found related to this item.
      Description
      Displays a description of the item. For more information, click View More Details Online.

      Note: You must be connected to the Internet to see the additional information.

  3. Select each item that you want to permanently delete.
    • A check mark next to the item shows that it is selected and will be deleted.
  4. Click Delete Selected Items.
    • Spy Sweeper deletes the selected items and displays information about the deletion at the bottom of the panel.
    • If the button is unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.


Restoring Quarantined Items

When you run a sweep and quarantine found items, Spy Sweeper does not permanently delete the item. The quarantine process first encrypts each item found, removes it from its original location (so it will no longer run), then copies it to the Quarantine. This way, the unwanted program can no longer run, but you can restore it if necessary.

You may need to restore found items if you find that a program on your computer is not working correctly after you run a sweep and quarantine them. Sometimes, the item is an integral part of a program and is required to run the program. If you find this to be the case, you can restore the item.

In some cases, components with copy protection may not restore from quarantine properly. You must reinstall these programs from the original media or installation file.

If the Restore Selected Items button is unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Spy Sweeper with AntiVirus icon We do not recommend restoring any file found to contain a virus. If Spy Sweeper with AntiVirus was able to clean the file (remove the virus safely), the cleaned file will remain in its original location. A copy of the file before cleaning was placed in the Quarantine. The cleaned file is safe to use. The file in the Quarantine is not safe to use.

Step Introduction icon To restore quarantined items:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Quarantine.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Quarantine panel opens with a list of the items that you have quarantined, but have not permanently deleted.

      • Click to see a description of each field.

      Field
      Description
      List of items found (left side)
      Displays the list of suspect items that Spy Sweeper found. Select an item in the list to view the Item Details on the right side of the panel.
      Items you have set to Always Ignore or Always Quarantine are also listed here. Spy Sweeper automatically handled those items based on your setting. For more information, see Handling Found Items Automatically.
      Click the [image] next to an item to see the full path to the traces found.
      Item Details (right side)
      Name
      Displays the name of the currently selected item.
      Category
      Displays the type of potentially unwanted program of the currently selected item. See the Glossary for definitions of the types.
      Risk Rating
      Red bars show the risk level of the item. The more bars shown, the higher the risk, as follows:
      • —Low
      • —Moderate
      • —High
      • —Very high
      • —Critical
      Traces Found
      Number of traces found related to this item.
      Description
      Displays a description of the item. For more information, click View More Details Online.

      Note: You must be connected to the Internet to see the additional information.

  3. Select each item that you want to restore.
    • A check mark next to the item shows that it is selected and will be restored.
  4. Click Restore Selected Items.
    • Spy Sweeper restores the selected items and displays information about the restore status at the bottom of the panel.
    • If the button is unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.


Handling Found Items Automatically

Using the Always Apply function reduces the number of items you have to evaluate during sweeps. By default (the automatic setting), Spy Sweeper sets all found items to Always Ask. This means that Spy Sweeper lists found items in the Quarantine and asks you what to do with them during a sweep.

If you find potentially unwanted programs, such as spyware, adware, and suspect programs, on your computer that you need to keep to make another program run properly or that you always want to quarantine, you can tell Spy Sweeper to always ignore or always quarantine that item. Spy Sweeper will still detect the item and include it in its count of found items and traces, but it will not include it in the list of items to quarantine.

Spy Sweeper with AntiVirus icon Any viruses found are not displayed on the Always Apply tab.

You can do two things automatically to handle found items:

  • Always Quarantine
    • If you repeatedly see the same unwanted items during sweeps, tell Spy Sweeper to always quarantine them. Spy Sweeper will always quarantine these items, and they will not be listed on the Quarantine panel during a sweep.
    • This setting also tells the Spy Sweeper shields not to alert you to shield-related activities associated with that particular item. Spy Sweeper will always block activities related to any item set to Always Quarantine. This means you will receive fewer shield-related alerts and warnings. For more information about shields, see Setting Up Continuous Monitoring (Shields).
  • Always Ignore
    • If you know you need some items to use legitimate programs, tell Spy Sweeper to always ignore them. Spy Sweeper will always ignore these items, and they will not be listed on the Quarantine panel during a sweep.
    • This setting also tells the Spy Sweeper shields not to alert you to shield-related activities associated with that particular item. Spy Sweeper will permit activities related to any potentially unwanted programs in this list. This means you will receive fewer shield-related alerts and warnings. For more information about shields, see Setting Up Continuous Monitoring (Shields).

Step Introduction icon To handle found items automatically:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel opens.
  3. Click the Always Apply tab.
    • The Always Apply tab opens with a list of all items Spy Sweeper has found on your computer.
    • Use the Show Items Marked drop-down list to select what displays in the list:
      • Show All Items—Displays all items found in any sweep, unless you have cleared the item from the list.
      • Always Ask—Displays only found items that are set to Always Ask, the default (automatic) setting.
      • Always Ignore—Displays only found items that you have set to Always Ignore.
      • Always Quarantine—Displays only found items that you have set to Always Quarantine.
    • Click a column heading to sort the list based on that heading.
  4. Select each item in the list that you want to always quarantine.
    • To select more than one item, hold down the Ctrl key and click each item you want to include.
  5. To learn more about any item listed, click the View link.
    • You must be connected to the Internet to see the additional information.
    • Spy Sweeper opens your Web browser, goes to the Webroot Web site, and displays information about the selected item. This information can help you decide if you want to ignore or quarantine the item.
  6. Click Always Quarantine.
  7. Select the items you want to ignore and click Always Ignore.
  8. If you want to remove items that you are not setting to Always Quarantine or Always Ignore from the list here, select the items and click Clear from List.
    • Clearing items does not remove any type of potentially unwanted programs. It just makes the list on the Always Apply tab shorter for you to manage. If Spy Sweeper finds the same item again, it will be added to the list.
    • If you later want Spy Sweeper to always ask about an item, select the item and click Always Ask.